<?php
////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright Silver Dolphin Solutions, LLC, Edward Lemmers, P.E.
// For licensing, see license.txt.
// Completely Revised: 5/25/2017	ELL
// Converted from manually-managed list of field by name to acceptied field array.
//

	function BuildSQLString($table, $verb, $condition, $insert_key, $fields)
	{
		$SQL = $verb . " " . $table . " SET " . $insert_key;
		
		$comma = "";
		foreach ($fields as $key => $val)
		{
			$SQL .= $comma . "`" . $key . "`" . "='" . $val . "'";
			$comma = ", ";
		}
		
		if ($condition != "")
			$SQL .= " WHERE " . $condition;
		
		return $SQL;
	}
?>